## kf6-knotifyconfig 6.19.0

=== debian/changelog ===
kf6-knotifyconfig (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:06:51 +0100

=== debian/control ===
Source: kf6-knotifyconfig
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.19.0~),
               libcanberra-dev,
               libkf6completion-dev (>= 6.19.0~),
               libkf6config-dev (>= 6.19.0~),
               libkf6configwidgets-dev (>= 6.19.0~),
               libkf6i18n-dev (>= 6.19.0~),
               libkf6kio-dev (>= 6.19.0~),
               libkf6notifications-dev (>= 6.19.0~),
               libkf6widgetsaddons-dev (>= 6.19.0~),
               libkf6xmlgui-dev (>= 6.19.0~),
               libphonon4qt6-dev (>= 4:4.6.60~),
               qt6-base-dev (>= 6.6.0~),
               qt6-multimedia-dev,
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/knotifyconfig
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knotifyconfig
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knotifyconfig
Rules-Requires-Root: no

Package: libkf6notifyconfig-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Configuration system for KNotify
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the data files.

Package: libkf6notifyconfig-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6i18n-dev (>= 6.19.0~),
         libkf6kio-dev (>= 6.19.0~),
         libkf6notifyconfig6 (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0~),
         ${misc:Depends},
Recommends: libkf6notifyconfig-doc (= ${source:Version}),
Description: development files for knotifyconfig
 This framework offers classes to represent the configuration for an
 event.
 .
 Contains development files for knotifyconfig.

Package: libkf6notifyconfig-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Configuration system for KNotify (documentation)
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6notifyconfig6
Architecture: any
Multi-Arch: same
Depends: libkf6notifyconfig-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Configuration system for KNotify
 This framework offers classes to represent the configuration for an
 event.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/knotifyconfig-([\d.]+)\.tar\.xz

## kf6-knotifyconfig 6.19.0+p24.04+vstable+git20251017.0441

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.20.0") # handled by release scripts
set(KF_DEP_VERSION "6.19.0") # handled by release scripts
project(KNotifyConfig VERSION ${KF_VERSION})

# Dependencies
include(FeatureSummary)
find_package(ECM 6.19.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

# Includes
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGenerateQDoc)
include(ECMQtDeclareLoggingCategory)
include(CMakePackageConfigHelpers)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

# Required Qt components to build this framework
set(REQUIRED_QT_VERSION 6.8.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Widgets)

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED DBus)
    set(HAVE_DBUS TRUE)
    add_definitions(-DHAVE_DBUS)
endif()

find_package(KF6Completion ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6KIO ${KF_DEP_VERSION} REQUIRED)

find_package(Canberra)
set_package_properties(Canberra PROPERTIES
    PURPOSE "Needed to preview notification sounds"
    TYPE OPTIONAL)
if (NOT Canberra_FOUND)
    # This is REQUIRED since you cannot tell CMake "either one of those two optional ones are required"
    find_package(Qt6Multimedia REQUIRED)
    set_package_properties(Qt6Multimedia PROPERTIES
        DESCRIPTION "Qt multimedia library"
        PURPOSE "Needed to preview notification sounds when Canberra isn't available")
endif()

# ECM setup
set(knotifyconfig_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/knotifyconfig_version.h")
ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KNOTIFYCONFIG
  VERSION_HEADER "${knotifyconfig_version_header}"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6NotifyConfigConfigVersion.cmake"
  SOVERSION 6)

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.18.0
)

# Subdirectories
add_definitions(-DTRANSLATION_DOMAIN=\"knotifyconfig6\")
ki18n_install(po)
add_subdirectory(src)
if(BUILD_TESTING)
  add_subdirectory(tests)
endif()

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6NotifyConfig")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6NotifyConfigConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NotifyConfigConfig.cmake"
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NotifyConfigConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NotifyConfigConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
  KF6NotifyConfigTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF6NotifyConfigTargets.cmake
  NAMESPACE KF6::
)

install(FILES
  "${knotifyconfig_version_header}"
  DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}/KNotifyConfig"
  COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-knotifyconfig (6.19.0+p24.04+vstable+git20251017.0441-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 04:42:00 +0000

kf6-knotifyconfig (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:03:50 +0000

kf6-knotifyconfig (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 12:54:50 +0000

kf6-knotifyconfig (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:24:23 +0000

kf6-knotifyconfig (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:33:20 +0000

kf6-knotifyconfig (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:56:05 +0000

kf6-knotifyconfig (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:39:39 +0000

kf6-knotifyconfig (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:06:37 +0000

kf6-knotifyconfig (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 22:05:09 +0000

kf6-knotifyconfig (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:33:06 +0000

kf6-knotifyconfig (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 11:59:21 +0000

kf6-knotifyconfig (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:33:54 +0000

kf6-knotifyconfig (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:36:27 +0000

kf6-knotifyconfig (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:31:32 +0000

kf6-knotifyconfig (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:38:44 +0000

kf6-knotifyconfig (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:38:14 +0000

kf6-knotifyconfig (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:48:07 +0000

kf6-knotifyconfig (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:31:56 +1000

kf6-knotifyconfig (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:59:31 +0000

kf6-knotifyconfig (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:23:29 +0000

kf6-knotifyconfig (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-knotifyconfig (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

=== debian/control ===
Source: kf6-knotifyconfig
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kbookmarks-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kjobwidgets-dev,
               kf6-knotifications-dev,
               kf6-kservice-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               kf6-solid-dev,
               libcanberra-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-phonon-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/knotifyconfig
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-knotifyconfig.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-knotifyconfig
Maintainer: Neon CI <neon@kde.org>

Package: kf6-knotifyconfig
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6notifyconfig-data, libkf6notifyconfig6
Description: Configuration system for KNotify.
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the data files.

Package: kf6-knotifyconfig-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-knotifyconfig (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Replaces: libkf6notifyconfig-dev, libkf6notifyconfig-doc
Description: development files for knotifyconfig
 This framework offers classes to represent the configuration for an
 event.
 .
 Contains development files for knotifyconfig.

Package: libkf6notifyconfig6
Architecture: all
Depends: kf6-knotifyconfig, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6notifyconfig-data
Architecture: all
Depends: kf6-knotifyconfig, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6notifyconfig-dev
Architecture: all
Depends: kf6-knotifyconfig-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6notifyconfig-doc
Architecture: all
Depends: kf6-knotifyconfig-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-knotifyconfig 6.19.0+p24.04+vstable+git20251019.0142

=== debian/changelog ===
kf6-knotifyconfig (6.19.0+p24.04+vstable+git20251019.0142-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 01:43:03 +0000

## kf6-knotifyconfig 6.19.0+p24.04+vunstable+git20251020.1033

=== debian/changelog ===
kf6-knotifyconfig (6.19.0+p24.04+vunstable+git20251020.1033-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 10:33:50 +0000

## kf6-knotifyconfig 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KNotifyConfig VERSION ${KF_VERSION})
 
 # Dependencies
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-knotifyconfig (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:26:32 +0100

=== debian/control ===
Source: kf6-knotifyconfig
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libcanberra-dev,
               libkf6completion-dev (>= 6.20.0~),
               libkf6config-dev (>= 6.20.0~),
               libkf6configwidgets-dev (>= 6.20.0~),
               libkf6i18n-dev (>= 6.20.0~),
               libkf6kio-dev (>= 6.20.0~),
               libkf6notifications-dev (>= 6.20.0~),
               libkf6widgetsaddons-dev (>= 6.20.0~),
               libkf6xmlgui-dev (>= 6.20.0~),
               libphonon4qt6-dev (>= 4:4.6.60~),
               qt6-base-dev (>= 6.8.0~),
               qt6-multimedia-dev,
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/knotifyconfig
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-knotifyconfig
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-knotifyconfig.git
Rules-Requires-Root: no

Package: libkf6notifyconfig-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Configuration system for KNotify
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the data files.

Package: libkf6notifyconfig-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6i18n-dev (>= 6.20.0~),
         libkf6kio-dev (>= 6.20.0~),
         libkf6notifyconfig6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6notifyconfig-doc (= ${source:Version}),
Description: development files for knotifyconfig
 This framework offers classes to represent the configuration for an
 event.
 .
 Contains development files for knotifyconfig.

Package: libkf6notifyconfig-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Configuration system for KNotify (documentation)
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6notifyconfig6
Architecture: any
Multi-Arch: same
Depends: libkf6notifyconfig-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Configuration system for KNotify
 This framework offers classes to represent the configuration for an
 event.

## kf6-knotifyconfig 6.20.0+p24.04+vstable+git20251206.0455

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KNotifyConfig VERSION ${KF_VERSION})
 
 # Dependencies
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kf6-knotifyconfig 6.20.0+p24.04+vunstable+git20251206.0644

=== debian/changelog ===
kf6-knotifyconfig (6.20.0+p24.04+vunstable+git20251206.0644-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 06:44:35 +0000

kf6-knotifyconfig (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:49 +1000

## kf6-knotifyconfig 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KNotifyConfig VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-knotifyconfig (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:52:26 +0000

kf6-knotifyconfig (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:15:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-knotifyconfig
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -9,24 +10,24 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
                libcanberra-dev,
-               libkf6completion-dev (>= 6.20.0~),
-               libkf6config-dev (>= 6.20.0~),
-               libkf6configwidgets-dev (>= 6.20.0~),
-               libkf6i18n-dev (>= 6.20.0~),
-               libkf6kio-dev (>= 6.20.0~),
-               libkf6notifications-dev (>= 6.20.0~),
-               libkf6widgetsaddons-dev (>= 6.20.0~),
-               libkf6xmlgui-dev (>= 6.20.0~),
+               libkf6completion-dev (>= 6.21.0~),
+               libkf6config-dev (>= 6.21.0~),
+               libkf6configwidgets-dev (>= 6.21.0~),
+               libkf6i18n-dev (>= 6.21.0~),
+               libkf6kio-dev (>= 6.21.0~),
+               libkf6notifications-dev (>= 6.21.0~),
+               libkf6widgetsaddons-dev (>= 6.21.0~),
+               libkf6xmlgui-dev (>= 6.21.0~),
                libphonon4qt6-dev (>= 4:4.6.60~),
                qt6-base-dev (>= 6.8.0~),
                qt6-multimedia-dev,
-               qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+               qt6-tools-dev (>= 6.8.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/knotifyconfig
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-knotifyconfig
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-knotifyconfig.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knotifyconfig
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knotifyconfig
 Rules-Requires-Root: no
 
 Package: libkf6notifyconfig-data
@@ -43,8 +44,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6i18n-dev (>= 6.20.0~),
-         libkf6kio-dev (>= 6.20.0~),
+Depends: libkf6i18n-dev (>= 6.21.0~),
+         libkf6kio-dev (>= 6.21.0~),
          libkf6notifyconfig6 (= ${binary:Version}),
          qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},

## kf6-knotifyconfig 6.21.0+p24.04+vstable+git20251224.0653

=== debian/changelog ===
kf6-knotifyconfig (6.21.0+p24.04+vstable+git20251224.0653-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 06:53:31 +0000

kf6-knotifyconfig (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:11:34 +1000

## kf6-knotifyconfig 6.21.0+p24.04+vstable+git20251231.0255

=== debian/changelog ===
kf6-knotifyconfig (6.21.0+p24.04+vstable+git20251231.0255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:55:24 +0000

## kf6-knotifyconfig 6.21.0+p24.04+vunstable+git20251207.0917

=== debian/changelog ===
kf6-knotifyconfig (6.21.0+p24.04+vunstable+git20251207.0917-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 09:17:45 +0000

## kf6-knotifyconfig 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KNotifyConfig VERSION ${KF_VERSION})
 
 # Dependencies
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -70,8 +70,8 @@
   SOVERSION 6)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.18.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 # Subdirectories

=== debian/changelog ===
kf6-knotifyconfig (6.22.0-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:58:21 +0000

kf6-knotifyconfig (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:31:37 +0000

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                libcanberra-dev,
-               libkf6completion-dev (>= 6.21.0~),
-               libkf6config-dev (>= 6.21.0~),
-               libkf6configwidgets-dev (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
-               libkf6kio-dev (>= 6.21.0~),
-               libkf6notifications-dev (>= 6.21.0~),
-               libkf6widgetsaddons-dev (>= 6.21.0~),
-               libkf6xmlgui-dev (>= 6.21.0~),
+               libkf6completion-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6configwidgets-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6notifications-dev (>= 6.22.0~),
+               libkf6widgetsaddons-dev (>= 6.22.0~),
+               libkf6xmlgui-dev (>= 6.22.0~),
                libphonon4qt6-dev (>= 4:4.6.60~),
                qt6-base-dev (>= 6.8.0~),
                qt6-multimedia-dev,
@@ -44,8 +44,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6i18n-dev (>= 6.21.0~),
-         libkf6kio-dev (>= 6.21.0~),
+Depends: libkf6i18n-dev (>= 6.22.0~),
+         libkf6kio-dev (>= 6.22.0~),
          libkf6notifyconfig6 (= ${binary:Version}),
          qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},

## kf6-knotifyconfig 6.22.0+p24.04+vstable+git20260111.0513

=== debian/changelog ===
kf6-knotifyconfig (6.22.0+p24.04+vstable+git20260111.0513-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 05:13:45 +0000

kf6-knotifyconfig (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:43:10 +1000

## kf6-knotifyconfig 6.22.0+p24.04+vstable+git20260126.1110

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KNotifyConfig VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-knotifyconfig (6.22.0+p24.04+vstable+git20260126.1110-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 11:10:28 +0000

## kf6-knotifyconfig 6.22.0+p24.04+vunstable+git20260126.0907

=== debian/changelog ===
kf6-knotifyconfig (6.22.0+p24.04+vunstable+git20260126.0907-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 09:07:50 +0000

## kf6-knotifyconfig 6.23.0

=== debian/changelog ===
kf6-knotifyconfig (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:56 +0100

=== debian/control ===
Source: kf6-knotifyconfig
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.27~),
               doxygen,
               extra-cmake-modules (>= 6.23.0~),
               libcanberra-dev,
               libkf6completion-dev (>= 6.23.0~),
               libkf6config-dev (>= 6.23.0~),
               libkf6configwidgets-dev (>= 6.23.0~),
               libkf6i18n-dev (>= 6.23.0~),
               libkf6kio-dev (>= 6.23.0~),
               libkf6notifications-dev (>= 6.23.0~),
               libkf6widgetsaddons-dev (>= 6.23.0~),
               libkf6xmlgui-dev (>= 6.23.0~),
               libphonon4qt6-dev (>= 4:4.6.60~),
               qt6-base-dev (>= 6.8.0~),
               qt6-multimedia-dev,
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/knotifyconfig
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-knotifyconfig
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-knotifyconfig.git

Package: libkf6notifyconfig-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Configuration system for KNotify
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the data files.

Package: libkf6notifyconfig-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6i18n-dev (>= 6.23.0~),
         libkf6kio-dev (>= 6.23.0~),
         libkf6notifyconfig6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6notifyconfig-doc (= ${source:Version}),
Description: development files for knotifyconfig
 This framework offers classes to represent the configuration for an
 event.
 .
 Contains development files for knotifyconfig.

Package: libkf6notifyconfig-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Configuration system for KNotify (documentation)
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6notifyconfig6
Architecture: any
Multi-Arch: same
Depends: libkf6notifyconfig-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Configuration system for KNotify
 This framework offers classes to represent the configuration for an
 event.
